with open('spawnpoints.txt', 'r') as obj_flie:
    spawnpoints = obj_flie.readlines()

def formula(spawnpoint):
    spawnpoint_list = spawnpoint.split()
    
    k = int(spawnpoint_list[0])
    x = int(spawnpoint_list[1])
    y = int(spawnpoint_list[2])
    z = int(spawnpoint_list[3])
    fx = int(spawnpoint_list[4])
    fy = int(spawnpoint_list[5])
    fz = int(spawnpoint_list[6])
    
    lines = [None]*4
    
    tp_point = str(x+36) + ' ' + str(y) + ' ' + str(z-26*k)
    facing_point = str(fx+36) + ' ' + str(fy) + ' ' + str(fz-26*k)
    
    #clone formula
    lines[0] = "clone 0 5 " + str(26*k) + " 35 25 " + str(26*k+25) + " 36 5 0"
    
    #teleport formula
    lines[1] = "tp @a[tag=requester] " + tp_point + " facing " + facing_point
    
    #setspawnpoint formula
    lines[2] = "spawnpoint @a[tag=requester] " + tp_point
    
    #title
    lines[3] = "title @a[tag=requester] title Level " + str(k)
    
    file_path = 'interactive/configs/in/lv' + str(k) + '.mcfunction'
    with open(file_path, 'w+') as obj_flie:
        for line in lines:
            obj_flie.write(line + '\n')
        
for spawnpoint in spawnpoints:
    formula(spawnpoint)
    
